cdac.medinfo.ccd.datatype

## Class MO

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.MO

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IVXBMO, SXCMMO

      public class MO
      extends QTY

  A monetary amount is a quantity expressing the amount of money in some currency. Currencies are the units in which monetary amounts are denominated in different economic regions. While the monetary amount is a single kind of quantity (money) the exchange rates between the different units are variable. This is the principle difference between physical quantity and monetary amounts, and the reason why currency units are not physical units.

  Java class for MO complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MO">
         <complexContent>
           <extension base="{urn:hl7-org:v3}QTY">
             <attribute name="value" type="{urn:hl7-org:v3}real" />
             <attribute name="currency" type="{urn:hl7-org:v3}cs" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrency()` Gets the value of the currency property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setCurrency(java.lang.String value)` Sets the value of the currency property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MO

          public MO()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCurrency

          public java.lang.String getCurrency()

      Gets the value of the currency property.
      Returns:
        possible object is `String`

    - #### setCurrency

          public void setCurrency(java.lang.String value)

      Sets the value of the currency property.
      Parameters:
        `value` - allowed object is `String`